Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ShortcutContext

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ShortcutContext

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ShortcutContext

extends java.lang.Enum
implements QtEnumerator

For a `QEvent::Shortcut` event to occur, the shortcut's key sequence must be entered by the user in a context where the shortcut is active. The possible contexts are these:

See Also:
  Serialized Form

Field Summary
`static Qt.ShortcutContext` | `ApplicationShortcut` The shortcut is active when one of the applications windows are active.
`static Qt.ShortcutContext` | `WidgetShortcut` The shortcut is active when its parent widget has focus.
`static Qt.ShortcutContext` | `WidgetWithChildrenShortcut` The shortcut is active when its parent widget, or any of it's children has focus.
`static Qt.ShortcutContext` | `WindowShortcut` The shortcut is active when its parent widget is a logical subwidget of the active top-level window.

Method Summary
`static Qt.ShortcutContext` | `resolve(int value)` Returns the ShortcutContext constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ShortcutContext` | `valueOf(java.lang.String name)`
`static Qt.ShortcutContext[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WidgetShortcut

    public static final Qt.ShortcutContext WidgetShortcut

  The shortcut is active when its parent widget has focus.

### WindowShortcut

    public static final Qt.ShortcutContext WindowShortcut

  The shortcut is active when its parent widget is a logical subwidget of the active top-level window.

### ApplicationShortcut

    public static final Qt.ShortcutContext ApplicationShortcut

  The shortcut is active when one of the applications windows are active.

### WidgetWithChildrenShortcut

    public static final Qt.ShortcutContext WidgetWithChildrenShortcut

  The shortcut is active when its parent widget, or any of it's children has focus. Children which are top-level widgets, except pop-ups, are not affected by this shortcut context.

Method Detail

### values

    public static Qt.ShortcutContext[] values()

### valueOf

    public static Qt.ShortcutContext valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ShortcutContext resolve(int value)

  Returns the ShortcutContext constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD